> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Git Permission

## Permissions

Requires a service user with the `ManageGitIntegrations` permission at the enterprise level.


## OpenAPI

````yaml /v3-openapi.yaml DELETE /v3/enterprise/organizations/{org_id}/git-providers/permissions/{git_permission_id}
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/organizations/{org_id}/git-providers/permissions/{git_permission_id}:
    delete:
      tags:
        - git_permissions
      summary: Delete Git Permission
      operationId: >-
        handle_delete_organization_git_permission_v3_enterprise_organizations__org_id__git_providers_permissions__git_permission_id__delete
      parameters:
        - description: 'Organization ID (prefix: org-)'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - description: 'Git permission ID (prefix: git-permission-)'
          in: path
          name: git_permission_id
          required: true
          schema:
            example: git-permission-abc123def456
            title: Git Permission Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitPermissionResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GitPermissionResponse:
      properties:
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At
        git_connection_id:
          title: Git Connection Id
          type: string
        git_permission_id:
          title: Git Permission Id
          type: string
        group_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Prefix
        prefix_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix Path
        repo_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Path
      required:
        - git_permission_id
        - git_connection_id
      title: GitPermissionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````